/* cabecera, pie de página y enlaces de la página princial*/
html
{
    position: relative;
    min-height: 100%;
}

.cab
{
    background-color:#00005C;
    
}


.pie_interno 
{
    margin-top: 60px;
    position: absolute;
    border-top: solid 1px #C0C0C0;
    bottom:0;
    height:80px; /*Alto del Pie de Página vero*/ 
    text-align: right;
    background: #F0F0F0;
    color:#0747a6;
    padding-top:30px;
    padding-bottom:10px;
    width:100%;
    z-index: 900;
}

a.enlace-claro
{
    color: #fff;
}


a.enlace-oscuro
{
    color: black;
}

/* mouse over link */
a.enlace-oscuro:hover 
{
  color: #00005C;
}

a.nucleo
{
    text-decoration: none;
}

.nucleo
{
    color: #0747a6;
    stop-color: blue;
    

}

i.nucleo:hover 
{
  color: #00005C;
}

h1.titulo
{
    margin-top: 40px;
    margin-bottom: 40px;
    text-transform: capitalize;
    font-style: italic;
}


h5.nucleo
{
    color: black;
    text-transform: capitalize;
    font-size:20px;
    margin-top: 10px;


}

.btn-light
{
    background-color: #CECDCD;
}

.badge
{
    margin-right: 10px;
    background-color: #CECDCD;
    color:black;
    font-family: "Times New Roman", Times, serif;
    font-style: italic;
    font-weight: bold;

}

.pie 
{
    text-align: right;
    background: #f1f1f1;
    color:#0747a6;
    padding-top:10px;
    padding-bottom:10px;
    margin-top:100px;
    position:relative;
    bottom:0;
    width:100%;
    height: 100%;
    z-index: 1100;
}


.espacio
{
    max-height: 100vh;
}


/* fin*/
body
{

	font-family: sans-serif;
    margin-bottom: 80px; /*Alto del Pie de Página vero*/

}


.agr{
	border-bottom: solid 3px grey;
}
.modal-body table {
    width: 100%;
    margin-bottom: 10px;
}

.modal-body td,
.modal-body th
{
	text-align: left;
}

.modal-body th,
.modal-body td {
    padding: 2px;
}




.buscar-titulo{
	color: navy;
	font-size: 1.1rem;
	font-weight: bolder;
}

.buscar-item{

	margin-bottom: 1.2em;
	font-size: 15px;
}

.buscar-pclave{
	font-style: italic;
	color: #008000;
}

.modal-body{
	font-size:14px;
}
.modal-body h2{
	font-size: 20px;
	text-align: center;
	padding:15px;
}

.form-busqueda{

	padding: 15px;
}

.separador
{
	margin-right: 20px;

}

.boton
{
	margin-top: 20px;
	margin-right: 20px;
	
}

.usuario
{
	color: #FFF;
	text-decoration: underline;
	text-transform: capitalize;

}

h2.subtitulo
{
    border-bottom: solid 1px #cbcaca;
    width: 100%;
    padding:15px;
}


.icon
{
	color: black;
	font-size:22px;
}

.table
{
    align-self: center;
}

.jumbo_buscar
{
    margin: 20px;
    padding-top: 20px;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 20px;
}

.alerta
{
    text-align: center;
}

/* inicio menu latera sidebar */

#wrapper {
  
    padding-left: 0;
    -webkit-transition: all .5s ease;
    -moz-transition: all .5s ease;
    -o-transition: all .5s ease;
    transition: all .5s ease;

}


#sidebar-wrapper {
    border-right: 1px solid #e7e7e7;
}

#sidebar-wrapper {
    z-index: 1000;
    height: 100%;
    width: 0;
    left: 220px;
    margin-left: -225px;
    position: fixed;
    background: #0747a6; 
    overflow-y: auto;
    transition: all .5s ease;

}

#sidebar-wrapper .sidebar-nav {
    position: absolute;
    top: 0;
    width: 200px;
    font-size: 14px;
    margin: 0;
    padding: 0;
    list-style: none;
    padding-top: 20px;
}

#sidebar-wrapper .sidebar-nav li {
    text-indent: 0;
    line-height: 45px;
    padding-top: 5px;
    padding-left: 5px;

}

#sidebar-wrapper .sidebar-nav li a {
    display: block;
    text-decoration: none;
    color: #BFDEFF;
}
#sidebar-wrapper .sidebar-nav li a:hover {
    color: #fff;
}

.sidebar-nav li:first-child a {
        
    color: #fff !important;
}
.sidebar-nav li:first-child a:hover {
        
    color: #fff !important;
}

#sidebar-wrapper .sidebar-nav li a .sidebar-icon {
    width: 45px;
    height: 45px;
    font-size: 20px;
    padding: 0 2px;
    display: inline-block;
    text-indent: 7px;
    margin-right: 10px;
    color: #BFDEFF;
    float: left;
}

#sidebar-wrapper .sidebar-nav li a .caret {
  position: absolute;
  right: 23px;
  top: auto;
  margin-top: 20px;
}

#sidebar-wrapper .sidebar-nav li ul.panel-collapse {
    list-style: none;
    -moz-padding-start: 0;
    -webkit-padding-start: 0;
    -khtml-padding-start: 0;
    -o-padding-start: 0;
    padding-start: 0;
    padding: 0;
}

#sidebar-wrapper .sidebar-nav li ul.panel-collapse li i {
    margin-right: 10px;
}

#sidebar-wrapper .sidebar-nav li ul.panel-collapse li {
    text-indent: 15px;
}

#central
{
    justify-content: space-around;
    margin-top: 80px;
    margin-left: 20px;
    margin-bottom: 100px;
}

.card-central
{
    margin: 0 5px 5px 5px;
    border: solid 2px #0747a6;
    border-radius: 15px;
   
}

.body{
    padding: 20px;
    stop-color: red;
    background-color: #f1f1f1;
    border-radius: 17px;

}

#ejm{
    font: black;
    background-color: #cbcaca;
    border: solid 1px #212529;
    margin-top: 10px;
    border-radius: 10px;
    
}


.img_inicio
    {
     padding-top: 10%;
     padding-left: 6%;  
    }
@media (max-width: 768px) {
    #wrapper #sidebar-wrapper {
        width: 55px;
    }
    #wrapper #sidebar-wrapper #sidebar #sidemenu li ul {
        position: relative;
        left: 45px;
        margin-top: -45px;
        z-index: 1000;
        width: 200px;
        height: 0;
    }
    
    .img_inicio
    {
     padding-top: 30vh;
     padding-left: 10%;  
    }
    /* estilo de los switch para asignar los roles y otra funciones, cuando
    la pantalla es pequeña*/

    .switch {
      position: relative;
      display: inline-block;
      width: 30px;
      height: 14px;
    }

    .switch input { 
      opacity: 0;
      width: 0;
      height: 0;
    }

    .slider {
      position: absolute;
      cursor: pointer;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background-color: #ccc;
      -webkit-transition: .4s;
      transition: .4s;
    }

    .slider:before {
      position: absolute;
      content: "";
      height: 10px;
      width: 10px;
      left: 2px;
      bottom: 2px;
      background-color: white;
      -webkit-transition: .4s;
      transition: .4s;
    }

    input:checked + .slider {
      background-color: #00005C;
    }

    input:focus + .slider {
      box-shadow: 0 0 1px #888A85;
    }

    input:checked + .slider:before {
      -webkit-transform: translateX(14px);
      -ms-transform: translateX(14px);
      transform: translateX(14px);
    }

    /* Rounded sliders */
    .slider.round {
      border-radius: 14px;
    }

    .slider.round:before {
      border-radius: 50%;
    }

    .text_switch
    {
        margin-left: 35px; 
        margin-top: -30px; 
    }
  /*  final del estilo de los switch para asignar los roles y otra funciones,
  cuando la pantalla es pequeña*/


/*card*/
    .flip-card {
      background-color: transparent;
      width: 240px;
      height: 120px;
      margin-top: 82px;
      perspective: 1000px;
      border: solid 2px #0747a6;
      border-radius: 15px;
    }

    .flip-card-inner {
      position: relative;
      width: 99%;
      height: 100%;
      border-radius: 15px;
      text-align: center;
      transition: transform 0.6s;
      transform-style: preserve-3d;
      box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    }

    .flip-card:hover .flip-card-inner {
      transform: rotateY(180deg);
    }

    .flip-card-front, .flip-card-back {
      position: absolute;
      width: 100%;
      height: 100%;
      -webkit-backface-visibility: hidden;
      backface-visibility: hidden;
    }

    .flip-card-front {
      background-color: #f1f1f1;
      color: black;
    }

    .flip-card-back {
      background-color: #f1f1f1;
      color: white;
      transform: rotateY(180deg);
    }

    .badge_pill{
      color:black;
      margin-top: 200px;

    }

    #ejm2{
        font: black;
        background-color: #cbcaca;
        border: solid 1px #212529;
        margin-top: 20px;
        border-radius: 10px;
        
    } 

  /*card final*/

}


@media (min-width: 768px) {
    #wrapper {
        padding-left: 225px;

    }
    #wrapper #sidebar-wrapper {
        width: 200px;
    }
   #central
{
    justify-content: space-around;
    margin-top: 80px;
    margin-left: 160px;
    margin-bottom: 100px;
}
   #central_datos
{
    justify-content: space-around;
    margin-top: 80px;
    margin-bottom: 100px;
}

/* fin menu latera sidebar*/


.area{
    margin-top: 10px;
    margin-bottom: 25%;
}

/* el estilo para agregar roles */

.f_roles
{
    border: solid 1px #cbcaca;
    border-radius: 15px;
    padding: 10px;
    margin-bottom: 10px;
    margin-left: 8px;
}

.f_roles ul{
    margin-bottom: 0;
    padding-left: 1.2em;
}

.priv
{
    color:#007bff;
    margin-left: 8px;
}

/* estilo de los switch para asignar los roles y otra funciones*/

.switch {
  position: relative;
  display: inline-block;
  width: 30px;
  height: 14px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 10px;
  width: 10px;
  left: 2px;
  bottom: 2px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #00005C;
}

input:focus + .slider {
  box-shadow: 0 0 1px #888A85;
}

input:checked + .slider:before {
  -webkit-transform: translateX(14px);
  -ms-transform: translateX(14px);
  transform: translateX(14px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 14px;
}

.slider.round:before {
  border-radius: 50%;
}

.text_switch
{
    margin-left: 35px; 
    margin-top: -30px; 
}


/* esto es solo pruebas*/



